* {
  -webkit-transition: all 1s ease-in-out;
  -moz-transition: all 1s ease-in-out;
  -ms-transition: all 1s ease-in-out;
  transition: all 1s ease-in-out;
}

 body {
  min-height: 100vh;
  display: grid;
  place-items: center;
  font-family: "SF Pro Text", "SF Pro Icons", "AOS Icons", "Helvetica Neue", Helvetica, Arial, sans-serif, system-ui;
  background: hsl(0 0% 0%);
  gap: 2rem;
}

body::before {
	--line: hsl(0 0% 95% / 0.25);
	content: "";
	height: 100vh;
	width: 100vw;
	position: fixed;
	background:
		linear-gradient(90deg, var(--line) 1px, transparent 1px 10vmin) 0 -5vmin / 10vmin 10vmin,
		linear-gradient(var(--line) 1px, transparent 1px 10vmin) 0 -5vmin / 10vmin 10vmin;
	mask: linear-gradient(-15deg, transparent 30%, white);
	top: 0;
	z-index: -1;
}
    .feedback-container {
      position: fixed;
      top: 60%;
      right: 0;
      transform: translateY(-50%);
      transition: transform 0.3s ease-out;
      z-index: 999;
    }
    .feedback-button {
      position: relative;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 50px;
      height: 100px;
      margin:3px;
      background-color: #111827;
      color: orange;
      border-radius: 5px 0 0 5px;
      cursor: pointer;
      transition: width 0.3s ease-out;
    }
    .feedback-button:hover {
      width: 200px;
    }
    .feedback-button span {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%) rotate(-90deg);
    }
    .feedback-form {
      position: absolute;
      top: 0;
      right: 0;
      width: 80%;
      height: 100vh;
      background-color: #111827;
      color:orange;
      padding: 20px;
      transform: translateX(100%);
      transition: transform 0.3s ease-out;
    }
    .feedback-form.open {
      transform: translateX(0%);
    }
    .feedback-form-header {
      display: flex;
      justify-content: space-between;
    }
    .feedback-form-close {
      cursor: pointer;
      position: absolute;
      top: 50;
      left: 0;
    }